Subject: Re: bug#17351: Trunk emacs splats .emacs.desktop at startup

From: Glenn Morris <[email-masked]>
Date: Thu, 26 Jun 2014 15:31:47 -0400

Juri Linkov wrote:

> But this might cause some problems, e.g. modes that call
> `save-some-buffers' like `compilation-mode' will ask whether to save
> the updated desktop file.

I iamgine a solution could be found.

I could equally well say that using save-buffer will cause the desktop
to be included in the recentf list, which some people may dislike.
(Cf http://debbugs.gnu.org/17155)

> Also it's not clear how to restore the auto-saved backup copy after a
> crash.

Using the normal "file foo has auto-save, recover it" prompt?

(This topic makes me wonder if desktop could have used the standard
interlock mechanism, rather than inventing its own version of that too.)